package a.i.b.a.c.a.a;

import a.i.b.a.c.a.j;
import a.i.b.a.c.f.b;
import a.i.b.a.c.f.f;
import com.tencent.matrix.trace.core.AppMethodBeat;

public enum b$b {
    Function(r3, "Function"),
    SuspendFunction(r3, "SuspendFunction"),
    KFunction(j.dXT(), "KFunction"),
    KSuspendFunction(j.dXT(), "KSuspendFunction");
    
    public static final a BcY = null;
    public final b BcW;
    public final String BcX;

    private b$b(b bVar, String str) {
        a.f.b.j.p(bVar, "packageFqName");
        a.f.b.j.p(str, "classNamePrefix");
        AppMethodBeat.i(119147);
        this.BcW = bVar;
        this.BcX = str;
        AppMethodBeat.o(119147);
    }

    static {
        BcY = new a((byte) 0);
        AppMethodBeat.o(119145);
    }

    public final f SN(int i) {
        AppMethodBeat.i(119146);
        f avX = f.avX(this.BcX + i);
        a.f.b.j.o(avX, "Name.identifier(\"$classNamePrefix$arity\")");
        AppMethodBeat.o(119146);
        return avX;
    }
}
